Debian Bug report logs - #617644
pdnsd: fails to start, broken init script

version graph

Package: pdnsd; Maintainer for pdnsd is Debian QA Group <packages@qa.debian.org>; Source for pdnsd is src:pdnsd.

Reported by: RjY <rjy@users.sourceforge.net>

Date: Thu, 10 Mar 2011 08:54:01 UTC

Severity: grave

Tags: patch

Found in version pdnsd/1.2.8-par-1

Fixed in version pdnsd/1.2.8-par-2

Done: Mahyuddin Susanto <udienz@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#617644; Package pdnsd. (Thu, 10 Mar 2011 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to RjY <rjy@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Thu, 10 Mar 2011 08:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: RjY <rjy@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: pdnsd: fails to start, broken init script
Date: Thu, 10 Mar 2011 08:51:32 +0000
Package: pdnsd
Version: 1.2.8-par-1
Severity: grave
Justification: renders package unusable

/etc/init.d/pdnsd has several problems that prevent pdnsd from starting.

Firstly line 28

test -f . /etc/default/rcS || exit 0
  
This just produces an error, '.: unexpected operator'

(I just deleted the line. I don't think /etc/default/rcS is needed at
all, there doesn't appear to be any variable from it referenced, but I
might have missed something.)



Secondly, line ~20

test -f /etc/default/$NAME

/etc/default/pdnsd is tested for, but never actually sourced. So
START_DAEMON is never set to 'yes' so the script thinks the daemon is
disabled, and never runs it.



Fixing these two at least allows the daemon to start. I also noticed
that $AUTO_MODE handling is apparently broken (although I don't use one)

if test -z "$AUTO_MODE" && test -f /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf

I think the first test should be -n. -z means "is a zero-length string",
-n means "is _not_ a zero-length string".



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pdnsd depends on:
ii  adduser                       3.112+nmu2 add and remove users and groups
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  libc6                         2.11.2-11  Embedded GNU C Library: Shared lib

Versions of packages pdnsd recommends:
pn  resolvconf                    <none>     (no description available)

pdnsd suggests no packages.

-- Configuration Files:
/etc/default/pdnsd changed:
START_DAEMON=yes
AUTO_MODE=
START_OPTIONS=

/etc/init.d/pdnsd changed:
NAME="pdnsd"
DESC="proxy DNS server"
DAEMON="/usr/sbin/pdnsd"
PIDFILE="/var/run/pdnsd.pid"
CACHE="/var/cache/pdnsd/pdnsd.cache"
test -x $DAEMON || exit 0
test -f "/etc/default/$NAME" || exit 0
. /etc/default/$NAME
if test -n "$AUTO_MODE" && test -f /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf
then
    START_OPTIONS="${START_OPTIONS} -c /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf"
fi
. /lib/lsb/init-functions
is_yes() {
    case "$1" in
        [Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|1) return 0;;
        *) return 1;
    esac
}
log_end_msg2 () {
    log_end_msg "$@"
    test $1 -eq 0 || exit 1
}
gen_cache()
{
    if ! test -f "$CACHE"; then
        mkdir -p `dirname $CACHE`
        dd if=/dev/zero of="$CACHE" bs=1 count=4 2> /dev/null
        chown -R pdnsd.proxy /var/cache/pdnsd
    fi	
}
check_pid()
{
	if test -f "$PIDFILE"; then
		log_warning_msg "pid file is exist in $PIDFILE, stop $pdnsd it or restart $pdnsd"
		exit 1
	fi
}
start_resolvconf()
{
    test -x /sbin/resolvconf || return
    for f in `seq 1 60`; do
        sleep 0.1
        if pdnsd-ctl status >/dev/null 2>&1; then
            break
        fi
    done
    if pdnsd-ctl status | grep -q resolvconf; then
        server=$(pdnsd-ctl status|sed -ne '/^Global:$/,/^Server.*:$/s/.*Server ip.*: \(.*\)$/\1/p')
        case "$server" in
            "")      ;;
            0.0.0.0) echo "nameserver 127.0.0.1" | /sbin/resolvconf -a "lo.$NAME";;
            *)       echo "nameserver $server"   | /sbin/resolvconf -a "lo.$NAME";;
        esac
    fi
}
stop_resolvconf()
{
    if [ -x /sbin/resolvconf ] ; then
        /sbin/resolvconf -d "lo.$NAME"
    fi
}
pdnsd_start()
{
    if is_yes "$START_DAEMON"; then
    	check_pid
        log_begin_msg "Starting $NAME"
        start-stop-daemon --oknodo --start --quiet --pidfile "$PIDFILE" \
            --exec "$DAEMON" -- --daemon -p "$PIDFILE" $START_OPTIONS
        log_end_msg2 $?
        start_resolvconf
    else
        log_warning_msg "Not starting $NAME (disabled in /etc/default/$NAME)"
    fi
}
pdnsd_stop()
{
    log_begin_msg "Stopping $NAME"
    start-stop-daemon --oknodo --stop --quiet --user pdnsd --retry=TERM/3/KILL/3 --pidfile "$PIDFILE" --name "$NAME"
    start-stop-daemon --oknodo --stop --quiet --user pdnsd --retry=0/3/KILL/3 --exec "$DAEMON" > /dev/null
    log_end_msg2 $?
    rm -f "$PIDFILE"
    stop_resolvconf
}
pdnsd_status()
{
    if status_of_proc $DAEMON $NAME; then
        /usr/sbin/pdnsd-ctl status
    fi
}
case "$1" in
    start)
	gen_cache
	pdnsd_start
	;;
  stop)
	pdnsd_stop
  ;;
  status)
	pdnsd_status
	;;
  restart|force-reload)
	pdnsd_stop
  pdnsd_start
	;;
    *)
	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload|status}" >&2
	exit 1
	;;
esac
exit 0

/etc/pdnsd.conf changed:
// Read the pdnsd.conf(5) manpage for an explanation of the options.
/* Note: this file is overriden by automatic config files when
   /etc/default/pdnsd AUTO_MODE is set and that
   /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf exists
 */
// 2010-08-15: comment out server_ip to listen on all interface,
// uncomment root-servers section to do recursive resolving
global {
	perm_cache=1024;
	cache_dir="/var/cache/pdnsd";
	run_as="pdnsd";
//	server_ip = 127.0.0.1;	// Use eth0 here if you want to allow other
				// machines on your network to query pdnsd.
	status_ctl = on;
  	paranoid=on;
//	query_method=tcp_udp;	// pdnsd must be compiled with tcp
				// query support for this to work.
	min_ttl=15m;       // Retain cached entries at least 15 minutes.
	max_ttl=1w;	   // One week.
	timeout=10;        // Global timeout option (10 seconds).
        // Don't enable if you don't recurse yourself, can lead to problems
        // delegation_only="com","net";
}
/* with status_ctl=on and resolvconf installed, this will work out from the box
   this is the recommended setup for mobile machines */
/*
server {
    label="resolvconf";
}
*/
// This section is meant for resolving from root servers.
server {
	label = "root-servers";
	root_server=on;
	ip = 	198.41.0.4
	,	192.228.79.201
	,	192.33.4.12
	,	128.8.10.90
	,	192.203.230.10
	,	192.5.5.241
	,	192.112.36.4
	,	128.63.2.53
//	,	192.36.148.17
//	,	192.58.128.30
//	,	193.0.14.129
//	,	198.32.64.12
//	,	202.12.27.33
	;
	timeout = 5;
	uptest = query;
	interval = 30m;      // Test every half hour.
	ping_timeout = 300;  // 30 seconds.
	purge_cache = off;
	exclude = .localdomain;
	policy = included;
	preset = off;
}
source {
	owner=localhost;
//	serve_aliases=on;
	file="/etc/hosts";
}
rr {
	name=localhost;
	reverse=on;
	a=127.0.0.1;
	owner=localhost;
	soa=localhost,root.localhost,42,86400,900,86400,86400;
}
/*
neg {
	name=doubleclick.net;
	types=domain;   // This will also block xxx.doubleclick.net, etc.
}
*/
/*
neg {
	name=bad.server.com;   // Badly behaved server you don't want to connect to.
	types=A,AAAA;
}
*/
/* vim:set ft=c: */


-- debconf information:
* pdnsd/conf: Manual

-- 
http://rjy.org.uk/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#617644; Package pdnsd. (Thu, 10 Mar 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mahyuddin Susanto <udienz@ubuntu.com>:
Extra info received and forwarded to list. (Thu, 10 Mar 2011 09:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 617644@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: RjY <rjy@users.sourceforge.net>, 617644@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#617644: pdnsd: fails to start, broken init script
Date: Thu, 10 Mar 2011 16:12:53 +0700
tag 617644 patch
thanks


2011/3/10 RjY <rjy@users.sourceforge.net>:
> Package: pdnsd
> Version: 1.2.8-par-1
> Severity: grave
> Justification: renders package unusable
>
> /etc/init.d/pdnsd has several problems that prevent pdnsd from starting.
>
> Firstly line 28
>
> test -f . /etc/default/rcS || exit 0
>
> This just produces an error, '.: unexpected operator'
>
> (I just deleted the line. I don't think /etc/default/rcS is needed at
> all, there doesn't appear to be any variable from it referenced, but I
> might have missed something.)
>
>
>
> Secondly, line ~20
>
> test -f /etc/default/$NAME
>
> /etc/default/pdnsd is tested for, but never actually sourced. So
> START_DAEMON is never set to 'yes' so the script thinks the daemon is
> disabled, and never runs it.
>
>
>
> Fixing these two at least allows the daemon to start. I also noticed
> that $AUTO_MODE handling is apparently broken (although I don't use one)
>
> if test -z "$AUTO_MODE" && test -f /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf
>
> I think the first test should be -n. -z means "is a zero-length string",
> -n means "is _not_ a zero-length string".
>

Hello,
Seems like i missing configurations during last upload. i got no
problem. i'll fixing neext upload

> pdnsd suggests no packages.
>
> -- Configuration Files:
> /etc/default/pdnsd changed:
> START_DAEMON=yes
> AUTO_MODE=
> START_OPTIONS=
>
> /etc/init.d/pdnsd changed:
> NAME="pdnsd"
> DESC="proxy DNS server"
> DAEMON="/usr/sbin/pdnsd"
> PIDFILE="/var/run/pdnsd.pid"
> CACHE="/var/cache/pdnsd/pdnsd.cache"
> test -x $DAEMON || exit 0
> test -f "/etc/default/$NAME" || exit 0
> . /etc/default/$NAME
> if test -n "$AUTO_MODE" && test -f /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf
> then
>    START_OPTIONS="${START_OPTIONS} -c /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf"
> fi
> . /lib/lsb/init-functions
> is_yes() {
>    case "$1" in
>        [Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|1) return 0;;
>        *) return 1;
>    esac
> }
> log_end_msg2 () {
>    log_end_msg "$@"
>    test $1 -eq 0 || exit 1
> }
> gen_cache()
> {
>    if ! test -f "$CACHE"; then
>        mkdir -p `dirname $CACHE`
>        dd if=/dev/zero of="$CACHE" bs=1 count=4 2> /dev/null
>        chown -R pdnsd.proxy /var/cache/pdnsd
>    fi
> }
> check_pid()
> {
>        if test -f "$PIDFILE"; then
>                log_warning_msg "pid file is exist in $PIDFILE, stop $pdnsd it or restart $pdnsd"
>                exit 1
>        fi
> }
> start_resolvconf()
> {
>    test -x /sbin/resolvconf || return
>    for f in `seq 1 60`; do
>        sleep 0.1
>        if pdnsd-ctl status >/dev/null 2>&1; then
>            break
>        fi
>    done
>    if pdnsd-ctl status | grep -q resolvconf; then
>        server=$(pdnsd-ctl status|sed -ne '/^Global:$/,/^Server.*:$/s/.*Server ip.*: \(.*\)$/\1/p')
>        case "$server" in
>            "")      ;;
>            0.0.0.0) echo "nameserver 127.0.0.1" | /sbin/resolvconf -a "lo.$NAME";;
>            *)       echo "nameserver $server"   | /sbin/resolvconf -a "lo.$NAME";;
>        esac
>    fi
> }
> stop_resolvconf()
> {
>    if [ -x /sbin/resolvconf ] ; then
>        /sbin/resolvconf -d "lo.$NAME"
>    fi
> }
> pdnsd_start()
> {
>    if is_yes "$START_DAEMON"; then
>        check_pid
>        log_begin_msg "Starting $NAME"
>        start-stop-daemon --oknodo --start --quiet --pidfile "$PIDFILE" \
>            --exec "$DAEMON" -- --daemon -p "$PIDFILE" $START_OPTIONS
>        log_end_msg2 $?
>        start_resolvconf
>    else
>        log_warning_msg "Not starting $NAME (disabled in /etc/default/$NAME)"
>    fi
> }
> pdnsd_stop()
> {
>    log_begin_msg "Stopping $NAME"
>    start-stop-daemon --oknodo --stop --quiet --user pdnsd --retry=TERM/3/KILL/3 --pidfile "$PIDFILE" --name "$NAME"
>    start-stop-daemon --oknodo --stop --quiet --user pdnsd --retry=0/3/KILL/3 --exec "$DAEMON" > /dev/null
>    log_end_msg2 $?
>    rm -f "$PIDFILE"
>    stop_resolvconf
> }
> pdnsd_status()
> {
>    if status_of_proc $DAEMON $NAME; then
>        /usr/sbin/pdnsd-ctl status
>    fi
> }
> case "$1" in
>    start)
>        gen_cache
>        pdnsd_start
>        ;;
>  stop)
>        pdnsd_stop
>  ;;
>  status)
>        pdnsd_status
>        ;;
>  restart|force-reload)
>        pdnsd_stop
>  pdnsd_start
>        ;;
>    *)
>        echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload|status}" >&2
>        exit 1
>        ;;
> esac
> exit 0
>
> /etc/pdnsd.conf changed:
> // Read the pdnsd.conf(5) manpage for an explanation of the options.
> /* Note: this file is overriden by automatic config files when
>   /etc/default/pdnsd AUTO_MODE is set and that
>   /usr/share/pdnsd/pdnsd-$AUTO_MODE.conf exists
>  */
> // 2010-08-15: comment out server_ip to listen on all interface,
> // uncomment root-servers section to do recursive resolving
> global {
>        perm_cache=1024;
>        cache_dir="/var/cache/pdnsd";
>        run_as="pdnsd";
> //      server_ip = 127.0.0.1;  // Use eth0 here if you want to allow other
>                                // machines on your network to query pdnsd.
>        status_ctl = on;
>        paranoid=on;
> //      query_method=tcp_udp;   // pdnsd must be compiled with tcp
>                                // query support for this to work.
>        min_ttl=15m;       // Retain cached entries at least 15 minutes.
>        max_ttl=1w;        // One week.
>        timeout=10;        // Global timeout option (10 seconds).
>        // Don't enable if you don't recurse yourself, can lead to problems
>        // delegation_only="com","net";
> }
> /* with status_ctl=on and resolvconf installed, this will work out from the box
>   this is the recommended setup for mobile machines */
> /*
> server {
>    label="resolvconf";
> }
> */
> // This section is meant for resolving from root servers.
> server {
>        label = "root-servers";
>        root_server=on;
>        ip =    198.41.0.4
>        ,       192.228.79.201
>        ,       192.33.4.12
>        ,       128.8.10.90
>        ,       192.203.230.10
>        ,       192.5.5.241
>        ,       192.112.36.4
>        ,       128.63.2.53
> //      ,       192.36.148.17
> //      ,       192.58.128.30
> //      ,       193.0.14.129
> //      ,       198.32.64.12
> //      ,       202.12.27.33
>        ;
>        timeout = 5;
>        uptest = query;
>        interval = 30m;      // Test every half hour.
>        ping_timeout = 300;  // 30 seconds.
>        purge_cache = off;
>        exclude = .localdomain;
>        policy = included;
>        preset = off;
> }
> source {
>        owner=localhost;
> //      serve_aliases=on;
>        file="/etc/hosts";
> }
> rr {
>        name=localhost;
>        reverse=on;
>        a=127.0.0.1;
>        owner=localhost;
>        soa=localhost,root.localhost,42,86400,900,86400,86400;
> }
> /*
> neg {
>        name=doubleclick.net;
>        types=domain;   // This will also block xxx.doubleclick.net, etc.
> }
> */
> /*
> neg {
>        name=bad.server.com;   // Badly behaved server you don't want to connect to.
>        types=A,AAAA;
> }
> */
> /* vim:set ft=c: */
>
>

Looks good, thanks. i'll tested

-- 
[ Mahyuddin Susanto ]
udienz@{ubuntu|gmail}.com




Added tag(s) patch. Request was from Mahyuddin Susanto <udienz@ubuntu.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 09:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#617644; Package pdnsd. (Sat, 12 Mar 2011 12:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Sat, 12 Mar 2011 12:00:06 GMT) Full text and rfc822 format available.

Message #17 received at 617644@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 617644@bugs.debian.org
Subject: already caused me to report wrongly elsewhere
Date: Sat, 12 Mar 2011 19:56:07 +0800
See #617881




Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#617644; Package pdnsd. (Mon, 14 Mar 2011 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Mon, 14 Mar 2011 07:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 617644@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 617644@bugs.debian.org
Cc: udienz@ubuntu.com
Subject: well anything is better than a broken package
Date: Mon, 14 Mar 2011 15:10:02 +0800
Consider uploading anything... lest the package remain broken. Thanks.




Added tag(s) pending. Request was from Mahyuddin Susanto <udienz@ubuntu.com> to control@bugs.debian.org. (Mon, 21 Mar 2011 08:15:12 GMT) Full text and rfc822 format available.

Reply sent to Mahyuddin Susanto <udienz@ubuntu.com>:
You have taken responsibility. (Sat, 11 Jun 2011 10:36:04 GMT) Full text and rfc822 format available.

Notification sent to RjY <rjy@users.sourceforge.net>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 10:36:07 GMT) Full text and rfc822 format available.

Message #29 received at 617644-close@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: 617644-close@bugs.debian.org
Subject: Bug#617644: fixed in pdnsd 1.2.8-par-2
Date: Sat, 11 Jun 2011 10:33:46 +0000
Source: pdnsd
Source-Version: 1.2.8-par-2

We believe that the bug you reported is fixed in the latest version of
pdnsd, which is due to be installed in the Debian FTP archive:

pdnsd_1.2.8-par-2.debian.tar.gz
  to main/p/pdnsd/pdnsd_1.2.8-par-2.debian.tar.gz
pdnsd_1.2.8-par-2.dsc
  to main/p/pdnsd/pdnsd_1.2.8-par-2.dsc
pdnsd_1.2.8-par-2_i386.deb
  to main/p/pdnsd/pdnsd_1.2.8-par-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617644@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mahyuddin Susanto <udienz@ubuntu.com> (supplier of updated pdnsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 10 Apr 2011 01:17:29 +0700
Source: pdnsd
Binary: pdnsd
Architecture: source i386
Version: 1.2.8-par-2
Distribution: unstable
Urgency: low
Maintainer: Mahyuddin Susanto <udienz@ubuntu.com>
Changed-By: Mahyuddin Susanto <udienz@ubuntu.com>
Description: 
 pdnsd      - Proxy DNS Server
Closes: 617644 617659 617913 618671
Changes: 
 pdnsd (1.2.8-par-2) unstable; urgency=low
 .
   * debian/patches/03-autotools.patch: Dropped not needed anymore and make
     FTBFS on kfreebsd-* because it was restoring patch from kfreebsd patches.
     (Closes: #617659)
   * debian/patches/06_man_prefix.patch: Fix manual page path to $prefix/share.
   * Add maintainer script to deleting files during uninstall packages.
     (Closes: #617913)
     - debian/postrm
     - debian/prerm
   * Fix broken init.d script, Thanks to RjY <rjy@users.sourceforge.net>:
     (Closes: #617644)
     - debian/init.d
     - debian/pdnsd.conf
   * debian/init.d: Rewriting to LSB-compliant, Thanks to Martin Dziobek.
     (Closes: #618671)
   * debian/changelog: Fix wrong bug number in 1.2.8-par-1.
   * debian/control:
     - Move Vcs-browser field to git browser rather than anonscm.
     - Bump Build-Dep of debpelper to 7.0.50~ since used dh_override.
     - Bump Standards-Version to 3.9.2.
   * debian/rules: Rewriting to using simple rules.
Checksums-Sha1: 
 c0f6c94b46e2a347da40a689cc1c1c50a9e1fe5e 1466 pdnsd_1.2.8-par-2.dsc
 2c539ddd313ee701a1b708ca15539d0a3bf5f4d1 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 658fb4a1aa123970796697d28da9bad1615866d9 299164 pdnsd_1.2.8-par-2_i386.deb
Checksums-Sha256: 
 762ec58d4bc87bfdf40e942b09909495c90399777bfba7275fd1644b9ffc2509 1466 pdnsd_1.2.8-par-2.dsc
 5bada3bf12b304d83c88c6d38b490065c0ae4836b7d7a3a6bcd47172ecf97159 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 3c9fc532083c5bfcb51d3e94e1788444164ae0241e7a97d6085b056bf7341449 299164 pdnsd_1.2.8-par-2_i386.deb
Files: 
 d60f573e8196501748a78190831d866d 1466 net optional pdnsd_1.2.8-par-2.dsc
 3ae7dca8b6e880864a03d7519ed2ae2c 26295 net optional pdnsd_1.2.8-par-2.debian.tar.gz
 f7046598dcfec03c0634ab061c988291 299164 net optional pdnsd_1.2.8-par-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJN80EiAAoJEEmrPP2rYrC4a0MH/RGxnM923LFBrwOEP7ZoU51W
6Pr/fmdhA4dCO0BFZb7FDuwriv/u8qFjMYyHhzd9cwIwM5SdKzk7HcS8p0bRt6Nk
KczsenH7lRryIXAXTQ4TnBVwlplI/DoqAOOQtgFOeUZ1U+vaF1HT0krAwBClGj79
hBGS3EOVopZ4eBh7/S4M8TiWiTQrGb/Nu2ielW9KN0AL8yLe/l8AnMCbrTbPRjUE
G9pMU7i/sgx+P9cIQFJsIgfKy/f1d56ZiegTFcMwFDCd7X+LCbFeO5ZavYLFet7P
0fzkcE69nIs6QbnWLbFP7jzFPes4eSCaP9ieeou12fQjYz41YbfgpXjdmwRQxak=
=Jqdx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:34:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:41:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.